classification
Title: doc Replace "hook function" with "callable" in urllib.request.urlretrieve
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, miss-islington, orsenthil, terry.reedy
Priority: normal Keywords: patch

Created on 2018-06-17 17:21 by adelfino, last changed 2018-06-24 02:34 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7765 merged adelfino, 2018-06-17 17:22
PR 7861 merged miss-islington, 2018-06-22 21:11
PR 7885 merged adelfino, 2018-06-24 01:57
PR 7886 open adelfino, 2018-06-24 02:19
Messages (7)
msg319822 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-17 17:21
The reporthook of urllib.request.urlretrieve is treated as a function hook, while the right term is "callable".

PR fixes this.
msg320261 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-22 20:23
I am not even sure what a 'hook function' is supposed to mean.  A beginner might think it means something other than any old callable.  Unless Sentil or someone objects within a week, I would merge this.  Ping me if nothing happens.
msg320262 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2018-06-22 20:25
@Terry, the change in terminology looks good to me.
msg320272 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-22 21:10
New changeset c45cb479074b5d25f0d382d3109f527520a9f03c by Terry Jan Reedy (Andrés Delfino) in branch '3.6':
bpo-33885: Replace "hook function" with "callable" (GH-7765)
https://github.com/python/cpython/commit/c45cb479074b5d25f0d382d3109f527520a9f03c
msg320275 - (view) Author: miss-islington (miss-islington) Date: 2018-06-22 21:30
New changeset e4db73058b6c31f71c64d0f87a10547f3cf72f20 by Miss Islington (bot) in branch '3.7':
bpo-33885: Replace "hook function" with "callable" (GH-7765)
https://github.com/python/cpython/commit/e4db73058b6c31f71c64d0f87a10547f3cf72f20
msg320343 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2018-06-24 02:23
New changeset 0ba9a0b7d19da8b4bd3c13b358d3fd2a5ad16f09 by Senthil Kumaran (Andrés Delfino) in branch 'master':
[master] bpo-33885: Replace "hook function" with "callable" (GH-7765) (#7886)
https://github.com/python/cpython/commit/0ba9a0b7d19da8b4bd3c13b358d3fd2a5ad16f09
msg320344 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-24 02:34
The bots occasionally miss.
PR 7885 was indeed merged even though the message has not appeared.
https://github.com/python/cpython/commit/2c11e23a5a686edc69bcbb4c65f500d50d992bb3
PR 7886 was merged as the message says, even though the status was not changed.
History
Date User Action Args
2018-06-24 02:34:50terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg320344

stage: patch review -> resolved
2018-06-24 02:23:53orsenthilsetmessages: + msg320343
2018-06-24 02:19:02adelfinosetpull_requests: + pull_request7495
2018-06-24 01:57:59adelfinosetpull_requests: + pull_request7494
2018-06-22 21:30:47miss-islingtonsetnosy: + miss-islington
messages: + msg320275
2018-06-22 21:11:45miss-islingtonsetpull_requests: + pull_request7471
2018-06-22 21:10:26terry.reedysetmessages: + msg320272
2018-06-22 20:25:24orsenthilsetmessages: + msg320262
2018-06-22 20:23:36terry.reedysetnosy: + terry.reedy
messages: + msg320261
2018-06-22 19:18:45ned.deilysetnosy: + orsenthil
2018-06-17 17:22:16adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request7373
2018-06-17 17:21:31adelfinocreate